@import "variables/colors";
@import "variables/font";

.order-card {
  display: grid;
  grid-template-columns: 1fr 50px;
  &__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    .title {
      font-size: 18px;
      color: $caribbean-green-80;
      font-family: $poppins-bold;
      margin: 0;
    }
    .controls {
      display: flex;
      align-items: center;
      gap: 10px;
      &__label {
        color: $neutral-60;
        font-family: $poppins-bold;
      }
      &__counter {
        display: flex;
        align-items: center;
        gap: 6px;
        background: $caribbean-green-10;
        border-radius: 5px;
        padding: 4px 8px;
        .number {
          background: $neutral-10;
          border: 1px solid $caribbean-green-40;
          border-radius: 5px;
          padding: 4px 8px;
          color: $caribbean-green-80;
          font-family: $poppins-bold;
          font-size: 16px;
        }

        i {
          color: $caribbean-green-60;
          font-family: $poppins-bold;
          font-size: 18px;
        }
      }
    }
  }

  &__icon-trash {
    background: $error-60;
    padding: 5px 7px;
    border-radius: 30px;
    margin: auto;
    color: $neutral;
    font-size: 16px;
  }
  i {
    cursor: pointer;
  }
  ::ng-deep .card-container {
    border-radius: 10px;
  }
}
